package com.ghy.system.service;

import com.ghy.system.domain.SysArea;

import java.util.List;

/**
 * @author clunt
 * 区域表Service层
 */
public interface ISysAreaService {

    /**
     * @param sysArea 筛选条件
     * @return 返回结果
     */
    public List<SysArea> selectSysAreaList(SysArea sysArea);

    /**
     * @param areaId 区域id
     * @return 区域实体
     */
    public SysArea selectById(Long areaId);

    /**
     * @param areaCode 区域编码
     * @return 区域实体
     */
    public SysArea selectByAreaCode(String areaCode);

    /**
     * @param ids id数组
     * @return 删除成功条数
     */
    public int deleteSysAreaByIds(String ids);

    /**
     * @param sysArea 更新内容
     * @return 成功条数
     */
    public int updateSysArea(SysArea sysArea);

    /**
     * @param sysArea 新增区域实体
     * @return 成功条数
     */
    public int insertSysArea(SysArea sysArea);


    /**
     * @param sysArea 区域实体
     * @return 校验结果
     */
    String checkAreaCodeUnique(SysArea sysArea);


    /**
     * @param areaId 区域id
     * @return 下级区域条数
     */
    int selectAreaCount(Long areaId);

    /**
     * @param name 区域名称
     * @param parentCode 父级id
     * @return 区域实体
     */
    SysArea selectByName(String name, String parentCode);

}
